

create TEMPORARY TABLE entrenz_gene_id
(
	egi_geneid int
);

insert entrenz_gene_id ( egi_geneid )
select  DISTINCT 	entrezgene_id  
from undecided_list 
group by entrezgene_id  
having count( DISTINCT  min_fstart ) > 1;

DELETE 
from   undecided_list
using  undecided_list, entrenz_gene_id 
where  entrezgene_id = egi_geneid

